Bug 253504

Summary: audio/mixxx: Possible redudant dependencies
Product: Ports & Packages Reporter: Daniel Engberg <diizzy>
Component: Individual Port(s)Assignee: Jose Alonso Cardenas Marquez <acm>
Status: Closed FIXED    
Severity: Affects Only Me Flags: bugzilla: maintainer-feedback? (acm)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description Daniel Engberg freebsd_committer 2021-02-14 13:37:26 UTC
Having a look at the source code it looks like some dependencies could be dropped as they're handled by FFmpeg

libmad (and most likely libid3tag)
https://github.com/mixxxdj/mixxx/blob/release-2.2.4/src/sources/soundsourceffmpeg.cpp#L152

libogg + libvorbis
https://github.com/mixxxdj/mixxx/blob/release-2.2.4/src/sources/soundsourceffmpeg.cpp#L145
https://github.com/mixxxdj/mixxx/blob/release-2.2.4/src/encoder/encoderffmpegvorbis.cpp

Best regards,
Daniel
Comment 1 Daniel Engberg freebsd_committer 2021-03-03 14:35:51 UTC
Ping
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2021-04-15 01:52:13 UTC
Hi Daniel

I see ffmpeg is optional feature and it extends support for some kind of audio files. Also it doesn't exclude vorbis/ogg support if I choose FFMPEG like an option (Take a look into Scons scripts).

Maybe I could make some changes to this port excluding ogg/vorbis and some another dependencies if FFMPEG option is selected. It it is not selected ogg/vorbis (and more) are included like depdendencies. It could be the best to do here. 

What do you think?
Comment 3 Daniel Engberg freebsd_committer 2021-05-05 19:44:27 UTC
Hi,

Sorry for the late reply! I looked at it mainly to reduce the usage of libmad and libid3tag (dated, slow and unmaintained) and I happened to also spot libogg and libvorbis in there. It does look as you say that ogg/vorbis are more tightly integrated however so we probably need to leave that in.

Best regards,
Daniel
Comment 4 Jose Alonso Cardenas Marquez freebsd_committer 2021-07-31 19:26:23 UTC
It was modify on audio/mixxx (2.3.0) port. I think audio/mixxx22 could keeping without changes. Thanks for your PR